//! @file BatchProcessor.hh
//! @brief バッチ処理器クラス
//!
//! ニューラルネットワークデータセット用のバッチ処理を行うクラス
//!
//! @date 2020/04/10
//! @author Yokokura, Yuki
//
// Copyright (C) 2011-2020 Yokokura, Yuki
// This program is free software;
// you can redistribute it and/or modify it under the terms of the FreeBSD License.
// For details, see the License.txt file.

#ifndef BATCHPROCESSOR
#define BATCHPROCESSOR

#include <cassert>

// ARCS組込み用マクロ
#ifdef ARCS_IN
	// ARCSに組み込まれる場合
	#include "ARCSassert.hh"
	#include "ARCSeventlog.hh"
#else
	// ARCSに組み込まれない場合
	#define arcs_assert(a) (assert(a))
	#define PassedLog()
	#define EventLog(a)
	#define EventLogVar(a)
#endif

namespace ARCS {	// ARCS名前空間
	//! @brief バッチ処理器クラス
	class BatchProcessor {
		public:
			//! @brief コンストラクタ
			BatchProcessor()
				// :
			{
				
			}

			//! @brief ムーブコンストラクタ
			//! @param[in]	r	右辺値
			BatchProcessor(BatchProcessor&& r)
				// :
			{
				
			}

			//! @brief デストラクタ
			~BatchProcessor(){
				
			}
			
		private:
			BatchProcessor(const BatchProcessor&) = delete;					//!< コピーコンストラクタ使用禁止
			const BatchProcessor& operator=(const BatchProcessor&) = delete;	//!< 代入演算子使用禁止
	};
}

#endif

